SAP Knowledge Base Article - Preview

3114432 - Unsupported major.minor version 52.0 in Cloud Connector upgrade

Symptom

Upgrading Cloud Connector from version 2.12.2 or lower to 2.12.3 or higher. Example error in Unix shell:

Execute further configuration adoption during upgrade
run /opt/java/current/bin/java -Djava.library.path=/opt/sap/scc/lib/native -jar /opt/sap/scc/configurator.jar -dir /opt/sap/scc -upgrade -from 2.11.3
Exception in thread "main" java.lang.UnsupportedClassVersionError: com/sap/scc/util/upgrade/UpgradeRunner : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:803)


Read more...

Environment

SAP Cloud Connector

Product

SAP Connectivity service all versions

Keywords

unable to start, SAC cloud connector, CC, daemon, linux, unix , KBA , BC-MID-SCC , SAP Cloud Connector On-Demand/On-Premise Connectivity , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.